> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/responsible-gaming-responses.md).

# Responsible Gaming Responses

<table><thead><tr><th width="114.609375" align="center">Destination</th><th width="54.75262451171875" align="center"></th><th width="115.19964599609375" align="center">Source</th></tr></thead><tbody><tr><td align="center"><strong>Client</strong></td><td align="center"><strong>←</strong></td><td align="center"><strong>MTS</strong></td></tr></tbody></table>

The response types below represent responses to the respective requests described in [Responsible Gaming Requests](/transaction30api/api-description/ticket-json-format-description/responsible-gaming-requests.md).

* Account Limit Inform Response
* Limit Reached Inform Response
* Account Status Inform Response
* Intervention Inform Response

**Envelope and Content table:**

The Envelope provides the content's context and contains the following fields (besides Content):

* operatorId
* correlationId
* timestampUtc
* operation
* version

<table data-full-width="true"><thead><tr><th width="351">Example</th><th width="138.8167724609375">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>{
</code></pre></td><td><br></td><td><br></td><td><br></td><td><br></td></tr><tr><td><pre><code>  "operatorId": 19036,
</code></pre></td><td>operatorId</td><td>ID to uniquely identify the client from which the ticket originated,<br>ID is provided to the client by Sportradar,<br>The client is obliged to include it in every ticket</td><td>Mandatory</td><td>Integer</td></tr><tr><td><pre><code>  "content": {
        .......
        .......
         }, 
</code></pre></td><td>content</td><td>See Content object description below</td><td>Mandatory</td><td>Object</td></tr><tr><td><pre><code>  "correlationId": "bhwL37b1",
</code></pre></td><td>correlationId</td><td>Client defined string to facilitate the request-response pairing,<br>Sportradar is obliged to return the same string in the corresponding response</td><td>Mandatory</td><td>String</td></tr><tr><td><pre><code>  "timestampUtc":11739271971100,
</code></pre><p><br><br></p></td><td>timestampUtc</td><td>Timestamp of transaction placement as submitted by the client (Unix time in milliseconds format),<br>minimal: 1,<br>maximum: 9223372036854776000</td><td>Mandatory</td><td>Integer</td></tr><tr><td><pre data-overflow="wrap"><code>  "operation": "account-limit-inform",
</code></pre></td><td>operation</td><td><p>Declaration of operation type, should be<br>"account-limit-inform" in the case of an Account Limit Inform Response or</p><p>"account-limit-reached-inform" in the case of a Limit Reached Inform Response or</p><p>"account-status-inform" in the case of an Account Status Inform Response or</p><p>"account-intervention-inform" in the case of an Intervention Inform Response</p></td><td>Mandatory</td><td>String</td></tr><tr><td><pre><code>  "version": "3.0"
</code></pre></td><td>version</td><td>Indicates the ticket format version</td><td>Mandatory</td><td>String</td></tr><tr><td>}</td><td><br></td><td><br></td><td><br></td><td><br></td></tr></tbody></table>

**Please note** that in the case of major ticket errors or internal system errors the content object has a different structure and contains "type": "error-reply" instead of the specified type. For description, see [Error-reply Response](/transaction30api/api-description/ticket-json-format-description/error-reply-response.md).

### Content object <a href="#mtsresponsiblegamingresponses-v3.0-contentobject" id="mtsresponsiblegamingresponses-v3.0-contentobject"></a>

The table below describes the fields of each of the four different types of Responsible Gaming responses.

The content object consists of the following fields:

* type
* code
* message
* signature

<table data-full-width="true"><thead><tr><th width="351">Example</th><th width="113.03985595703125">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>"content": {
</code></pre></td><td><br></td><td><br></td><td><br></td><td>Object</td></tr><tr><td><pre data-overflow="wrap"><code>    "type": "account-limit-inform-reply",
</code></pre></td><td>type</td><td><p>Declaration of content type, should be</p><p>"account-limit-inform-reply" in the case of an Account Limit Inform Response,</p><p>"account-limit-reached-inform-reply" in the case of a Limit Reached Inform Response or</p><p>"account-status-inform-reply" in the case of an Account Status Inform Response or</p><p>"account-intervention-inform-reply" in the case of an Intervention Inform Response</p></td><td>M</td><td>String</td></tr><tr><td><pre><code>    "code": 0,    
</code></pre></td><td>code</td><td>Response code</td><td>M</td><td>Integer</td></tr><tr><td><pre data-overflow="wrap"><code>    "message": "Transaction processed",
</code></pre></td><td>message</td><td>Readable response code description,<br>minimal string length = 1,<br>maximum string length = 128</td><td>O</td><td>String</td></tr><tr><td><pre><code>    "signature": "Ghedef23+SmjWB3x
DB0AIB6fUZVFOvmGKm6Rcvxm0="
},
</code></pre></td><td>signature</td><td>String calculated and sent by MTS to be used as a proof that the response has actually been provided by MTS,<br>minimal string length = 1,<br>maximum string length = 128</td><td>M</td><td>String</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/responsible-gaming-responses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
